/*
 * Copyright (c) 2013-2016 ARM Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * -----------------------------------------------------------------------------
 *
 * $Revision:   V1.0.1
 *
 * Project:     Complex View
 * Title:       main.c
 *
 * -----------------------------------------------------------------------------
 */

#include "RTE_Components.h"             // Component selection
#include CMSIS_device_header
                        
/* Type 'A' */
typedef struct TypeA {
  uint32_t                Nummer;
  uint32_t                Status;
  uint32_t                Size;
} TypeA;

/* Type 'G' */
typedef struct TypeG {
  uint32_t                Nummer;
  uint32_t                Cluster;
  uint32_t                ClusterSize;
  uint32_t                Status;
} TypeG;

/* Type Array */
typedef struct TypeArray {
  void   *type_ref;
  char    id[2];
  uint16_t attr;
} TypeArray;


static TypeA  type_a0 = { 0xA01, 0xA02, 0xA03 };
static TypeA  type_a1 = { 0xA11, 0xA12, 0xA13 };
static TypeG  type_g0 = { 0xF01, 0xF02, 0xF03, 0xF04 };
static TypeG  type_g1 = { 0xF11, 0xF12, 0xF13, 0xF14 };
static TypeG  type_g2 = { 0xF21, 0xF22, 0xF23, 0xF24 };

static int32_t x0;

extern TypeArray type_array[];
TypeArray type_array[] =  {
  { &x0,      "A0", 1 },
  { &type_g0, "G0", 2 },
  { &type_g1, "G1", 2 },
  { &type_a1, "A1", 1 },
  { &type_g2, "G2", 2 },
};

int main (void) {
  
  type_array[0].type_ref =  &type_a0;
  while (1) {
		__NOP();
  }
}
