/*------------------------------------------------------------------------------
 * MyEventComponent - Component ::MDK Example:MyEventComponent
 * Copyright (c) 2018 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    MyEventComponent.c
 * Purpose: Example showing the usage of Status Views in MDK
 * Rev.:    V1.0.0
 *----------------------------------------------------------------------------*/
 
 
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#define MyEvtC_DEBUG                    // enable debug events

#include "MyEventComponent.h"
#include "cmsis_os2.h"                  // ARM::CMSIS:RTOS2:Keil RTX5


void event_status1 (void *argument) {
	unsigned int i, h, name;
	
	name = (unsigned int) argument;
  h = name + 0x10000000;
	

	EvrMyC1_Create (h, name);
  for (i=0; i < 5; i++)  {
		osDelay(100);
		EvrMyC1_Active (h);
		osDelay(100);
		EvrMyC1_Waiting (h);
		osDelay(100);
		EvrMyC1_Idle (h);
		osDelay(100);
	}
	
  EvrMyC1_Clear (h);
	osDelay(100);
	EvrMyC1_Delete (h);

  while (1) { ; }
}

