/*------------------------------------------------------------------------------
 * MyComponent - demo example
 * Copyright (c) 2016 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    main.c for MCB1800
 * Purpose: Example showing the usage of Software Component Views in MDK
 * Rev.:    V1.0.1
 *----------------------------------------------------------------------------*/

#include <stdint.h>
#include <stdio.h>
 
#include "cmsis_os2.h"                  // ARM::CMSIS:RTOS2:Keil RTX5
 
#include "MyEventComponent.h"
#include "EventRecorder.h"              // Keil::Compiler:Event Recorder
 
#include "ARMCM3.h"                     // Device header


char *name = "MyName";

osThreadId_t event_status1_id;

int main (void) {

  EventRecorderInitialize (EventRecordAll, 1);	// initialize and start Event Recorder

  osKernelInitialize();                         // initialize CMSIS-RTOS
  event_status1_id = osThreadNew(event_status1, name /* "Instance 1" */, NULL);
  osKernelStart ();
}
