/*------------------------------------------------------------------------------
 * MyComponent - Component ::MDK Example:MyComponent
 * Copyright (c) 2016 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    MyComponent.h
 * Purpose: Example showing the usage of Software Component Views in MDK
 * Rev.:    V1.0.1
 *----------------------------------------------------------------------------*/
 

/// Component information
struct MyComp_info_t {
  int version;             ///< component version
  int channels;            ///< number of communication channels available
  int buffersize;          ///< size of the communication buffer
};

/// Component data 
struct MyComp_data_t {
  char buf[256];           ///< communication buffer
  int  is_free;            ///< flag: 0=buffer occupied, 1=buffer free
};

extern struct MyComp_info_t MyComp_info;
extern struct MyComp_data_t MyComp_data;

/**
\brief Initialize function
*/
extern void MyComp_initialize (void);


/**
\brief Send data string
\param str   pointer to data string
*/
extern void MyComp_send (char* str);


/**
\brief Receive data string
\param str   pointer to data string
*/
extern void MyComp_receive (char* str);

// header file that defines debug events
#include "EvrMyComponent.h"
