/*
 * Copyright (c) 2013-2017 ARM Limited. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * -----------------------------------------------------------------------------
 *
 * $Revision:   V1.0.1
 *
 * Project:     Simple View
 * Title:       main.c
 *
 * -----------------------------------------------------------------------------
 */

#include "RTE_Components.h"             // Component selection
#include CMSIS_device_header            // Device header

typedef struct {                        // type definition
  uint32_t hi;                          // offset 0
  uint32_t low;                         // offset 4
} MyType;

extern volatile MyType mysymbol;        // avoid compiler 6 warning

MyType volatile mysymbol;               // symbol definition
  
int main(void) {
  uint32_t  i;

  while (1) {
    for( i=0; i<=30; i++ ) {
      mysymbol.hi = i*i;
      mysymbol.low = i;
    }
  }
}
